## OobsNFSConfig

OobsNFSConfig — Object that represents NFS configuration

## Functions

OobsObject * | oobs_nfs_config_get ()
OobsList * | oobs_nfs_config_get_shares ()

## Object Hierarchy

        GObject
        ╰── OobsObject
            ╰── OobsNFSConfig

## Description

## Functions

### oobs_nfs_config_get ()

    OobsObject *
    oobs_nfs_config_get (void);

Returns the OobsNFSConfig singleton, which represents the NFS system configuration.

#### Returns

the singleton OobsNFSConfig object.

### oobs_nfs_config_get_shares ()

    OobsList *
    oobs_nfs_config_get_shares (OobsNFSConfig *config);

Returns an OobsList containing objects of type OobsShareNFS.

#### Parameters

config | An OobsNFSConfig. |

#### Returns

an OobsList containing the NFS shares information.

## See Also

OobsShareNFS, OobsSMBConfig